List all users.
curl --request GET \
--url https://api.sandbox.goteal.co/users \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.sandbox.goteal.co/users"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.sandbox.goteal.co/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"offset": 75,
"limit": 25,
"count": 14,
"total_count": 89
},
"users": [
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2019-05-17T00:00:00.000Z",
"forename": "John",
"surname": "Smith",
"date_of_birth": "2019-05-17T00:00:00.000Z",
"post_codes": [
"SW1A 1AA",
"SW1A 1AB"
],
"payroll_period_months": 123,
"ni_number": "QQ123456C",
"ext_id": "ext-12345",
"recurring_checks_enabled": true,
"recurring_check_frequency": "WEEKLY",
"recurring_check_end_date": "2019-05-17T00:00:00.000Z",
"payslip_upload_enabled": true,
"payroll_connections_enabled": true
}
]
}{
"errors": [
"The request is missing the required field `name`"
]
}{
"errors": [
"No X-API-KEY header provided or wrong value"
]
}Users
List all users
GET
/
users
List all users.
Authorizations
ApiKeyAuthMemberBearerAuth
Query Parameters
The offset to start at
Required range:
x >= 1The number of items to return
Required range:
1 <= x <= 100⌘I